package com.ics.admin.service.meeting;

import com.ics.admin.domain.meeting.Order;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * 订单Service接口
 * 
 * @author chen
 * @date 2024-02-25
 */
public interface IOrderService extends IService<Order> {
    /**
     * 查询订单
     * 
     * @param id 订单ID
     * @return 订单
     */
    Order selectOrderById(Long id);

    /**
     * 查询订单列表
     * 
     * @param order 订单
     * @return 订单集合
     */
    List<Order> selectOrderList(Order order);

    /**
     * 新增订单
     * 
     * @param order 订单
     * @return 结果
     */
    int insertOrder(Order order);

    /**
     * 修改订单
     * 
     * @param order 订单
     * @return 结果
     */
    int updateOrder(Order order);

    /**
     * 批量删除订单
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteOrderByIds(String ids);

    /**
     * 删除订单信息
     * 
     * @param id 订单ID
     * @return 结果
     */
    int deleteOrderById(Long id);
}
